<template>
  <div>
    <a v-b-toggle="'collapse-' + set.key" href="#" class="nav-link pl-0 pr-0">
      <span v-if="set.icon" class="nav-link-icon">
        <component :is="set.icon + '-icon'" />
      </span>
      {{ set.title }}
      <span class="nav-link-toggle"></span>
    </a>
    <b-collapse :id="'collapse-' + set.key" class="nav nav-pills" visible>
      <div v-for="p in set.parameters" :key="p.index">
        <ParametersPanelSet
          v-if="p.type === 'group'"
          :set="p"
          :panel-input-component="panelInputComponent"
          :config="config"
        />
        <div v-else>
          <component
            :is="panelInputComponent"
            :parameter="p"
            :input-set="set.key"
            :config="config"
          />
        </div>
      </div>
    </b-collapse>
  </div>
</template>

<script>
export default {
  props: {
    set: {
      type: Object,
      default: () => {},
    },
    panelInputComponent: {
      type: String,
      default: 'ParametersPanelInput',
    },
    config: {
      type: Object,
      default: () => {},
    },
  },
};
</script>
